package com.ruoyi.system.mapper.projectV2;

import com.ruoyi.system.domain.projectV2.ZsyzLdps;
import com.ruoyi.system.domain.projectV2.ZsyzSbbzb;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 招商引资_申报_首谈信息_主Mapper接口
 * 
 * @author boman
 * @date 2023-02-23
 */
public interface ZsyzSbbzbMapper 
{
    /**
     * 查询招商引资_申报_首谈信息_主
     * 
     * @param id 招商引资_申报_首谈信息_主ID
     * @return 招商引资_申报_首谈信息_主
     */
    public ZsyzSbbzb selectZsyzSbbzbById(Long id);

    /**
     * 查询招商引资_申报_首谈信息_主列表
     * 
     * @param zsyzSbbzb 招商引资_申报_首谈信息_主
     * @return 招商引资_申报_首谈信息_主集合
     */
    public List<ZsyzSbbzb> selectZsyzSbbzbList(ZsyzSbbzb zsyzSbbzb);


    /**
     * 查询指派给市值部门申报数据
     * @param zsyzSbbzb
     * @return
     */
    public List<ZsyzSbbzb> selectZsyzSbbzbListByZp(ZsyzSbbzb zsyzSbbzb);

    /**
     * 查询招商引资_申报_首谈信息_主列表_招商引资单位单独列表
     */
    public List<ZsyzSbbzb> selectZsyzSbbzbListYz(ZsyzSbbzb zsyzSbbzb);

    /**
     * 首页统计查询只查询承接地信息
     * @param zsyzSbbzb
     * @return
     */
    public List<ZsyzSbbzb> selectZsyzSbbzbCjdList(ZsyzSbbzb zsyzSbbzb);

    /**
     * 新增招商引资_申报_首谈信息_主
     * 
     * @param zsyzSbbzb 招商引资_申报_首谈信息_主
     * @return 结果
     */
    public int insertZsyzSbbzb(ZsyzSbbzb zsyzSbbzb);

    /**
     * 修改招商引资_申报_首谈信息_主
     * 
     * @param zsyzSbbzb 招商引资_申报_首谈信息_主
     * @return 结果
     */
    public int updateZsyzSbbzb(ZsyzSbbzb zsyzSbbzb);
    public int updateZsyzSbbzbMeet(ZsyzSbbzb zsyzSbbzb);
    public int updateZsyzSbbzbCjd(ZsyzSbbzb zsyzSbbzb);
    //线索暂存/终止接口
    public int updateZsyzSbbzbForZc(ZsyzSbbzb zsyzSbbzb);
    //更改项目进度
    public int updateZsyzSbbzbProgress(ZsyzSbbzb zsyzSbbzb);

    /**
     * 删除招商引资_申报_首谈信息_主
     * 
     * @param id 招商引资_申报_首谈信息_主ID
     * @return 结果
     */
    public int deleteZsyzSbbzbById(Long id);

    /**
     * 批量删除招商引资_申报_首谈信息_主
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteZsyzSbbzbByIds(Long[] ids);

    List<ZsyzSbbzb> selectZsyzSbbzbListDc(ZsyzSbbzb zsyzSbbzb);


    long selectZsyzSbbzbListCount(ZsyzSbbzb zsyzSbbzb);

    List<ZsyzSbbzb> selectZsyzSbbzbListTz(@Param("year")String year, @Param("deptId")Long deptId);

    List<ZsyzSbbzb> selectZsyzSbbzbListPs(ZsyzSbbzb zsyzSbbzb);

    List<ZsyzSbbzb> selectZsyzSbbzbListByZpPs(ZsyzSbbzb zsyzSbbzb);
}
